Subject: RE: [Ltru] At least one prefix for variant (GenArt)

From: "Addison Phillips" <[email-masked]>
Date: Thu, 1 Sep 2005 11:58:59 -0700

Note: this is gen-art #18.

Addison P. Phillips
Globalization Architect, Quest Software
Chair, W3C Internationalization Core Working Group

Internationalization is not a feature.
It is an architecture. 

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Addison Phillips
> Sent: 2005?9?1? 10:04
> To: John.Cowan
> Cc: LTRU Working Group
> Subject: RE: [Ltru] At least one prefix for variant (GenArt)
> 
> Proposed:
> 
> Change this:
> 
> --
> Prefix's field-value contains a language tag with which this subtag MAY be
> used to form a new language tag, perhaps with other subtags as well.
> --
> 
> To read like this:
> 
> --
> Prefix's field-value contains a language tag with which this subtag MAY be
> used to form a new language tag, perhaps with other subtags as well, or
> the special tag "*", indicating that this subtag could be considered
> appropriate with any combination of subtags.
> --
> 
> This neatly avoids the whole mess, while giving us the desired results.
> 
> Addison
> 
> Addison P. Phillips
> Globalization Architect, Quest Software
> Chair, W3C Internationalization Core Working Group
> 
> Internationalization is not a feature.
> It is an architecture.
> 
> > -----Original Message-----
> > From: John.Cowan [mailto:[email-masked]]
> > Sent: 2005?9?1? 9:58
> > To: Addison Phillips
> > Cc: LTRU Working Group
> > Subject: Re: [Ltru] At least one prefix for variant (GenArt)
> >
> > Addison Phillips scripsit:
> >
> > > We did debate this previously. The question was whether the community
> > > could make judgments about generic subtags, either for acceptance or
> > > application of them. Requiring at least one prefix effectively limits
> > > variants to the description of particular language variations.
> >
> > Indeed.
> >
> > > There is a way to fix this without removing the requirement.
> >
> > [snip]
> >
> > > The problem here, of course, is that "range" is a "matching" beast.
> >
> > I think that makes the cure worse than the disease.  "Prefix: *" is just
> a
> > verbose way of saying "no prefix required".
> >
> > I request (as part of Last Call) that this be reconsidered by the WG.
> > Variants without prefixes may require heightened scrutiny by ietf-
> > languages
> > and the LSR, but I do not think they should be forbidden altogether.
> >
> > --
> > John Cowan                                [email-masked]
> > At times of peril or dubitation,          http://www.ccil.org/~cowan
> > Perform swift circular ambulation,        http://www.reutershealth.com
> > With loud and high-pitched ululation.
> 
> 
> _______________________________________________
> Ltru mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/ltru

_______________________________________________
Ltru mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ltru